Applications for iphone 3g running ios 4.2.1?

Hi,
Does anyone have an old version of Facebook, Skype, Intagram, Shazam or any useful application for my iphone 3g running ios 4.2.1. (All these apps require iOS 4.3 and I can't upgrade it to iOS 4.3)
Thank you

I am facing the same problem with my iPod Touch 2nd Gen (also on iOS 4.2.1 and cant be updated further). I had Facebook and Skype as well and when the update option came I updated it but it said iOS 4.3 required so it got deleted.

The solution is that the app is still there in iTunes. So you connect you iPhone to your computer and find the app in iTunes and sync that into your iPhone and it should work.

Even if they did they wouldn't be able to work. They would need to be purchased under your Apple ID in order to work. Best thing to do at this point, get an iPhone 3GS (which can update to iOS 6.0.1)